*{margin:0}
html, body { height: 100%; }
html {
    width: 100vw;
}
body { 
    margin: 0; 
    padding: 0;
    font-size: 12px;
    overflow-x: hidden;
    font-family: 'Oswald', 'Noto Sans JP', sans-serif;
}
h1{
    margin: 0;
}

div, span, label {
    user-select: auto !important;
    touch-action: auto !important;
}

ul {
    list-style-type: none;
}

input, select, textarea {
    border: solid 1px lightgray;
    border-radius: 3px;
    height: 23px;
}

input:focus, select:focus , textarea:focus {
    outline: none;
    box-shadow: 0 0 3px 0 #ddd;  
}

select {
    width: 120px;
}

button {
    cursor: pointer;    
    border: solid 1px white;
    border-bottom: ridge 1px white;
    border-radius: 4px;
    background-color: white;
    /*box-shadow: 0 1px 2px 0 rgba(0,0,0,0.2), 0 3px 3px 0 rgba(0,0,0,0.19);*/
}

button:hover {
    background-color: #EEEFF0;
}

button:focus {
    outline:0;
}

button.disabled {
    background-color: lightgray !important;
    border: none !important;
    cursor: default;
}

.error {
    border-color: red !important;
}

.main {
    width: 100%;
    height: 100%;
    margin: 0;    
}
.content {
    width: 100%;
    height: calc(100vh - 40px);
    background-color: #E0E0E0;
}
/*----------ヘッダ-----------*/
.header {
    width: 100%;
    height: 40px;
    display: grid;
    grid-template-columns: 70% 30%;
    background-color: #E0E0E0;
}

.header .header_btn {
    display: flex;
    align-items: center;
    padding-left: 20px;
}

.header .header_btn a,
.header .header_btn button {
    margin-left: 10px;
    margin-right: 10px;
}

.header .header_btn a {
    cursor: pointer;
    text-decoration: none;
    color: black;
}

.header .header_btn a:hover {
    text-decoration: underline;
}

.header .header_btn button {
    background-color: black;
    color: white;
    border-radius: 15px;
    height: 30px;
    width:100px;
}

.header .header_logout {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding-right: 20px;
}

.header .header_logout label {
    margin-right: 15px;
}

.header .header_logout button {
    background-color: white;
    color: black;
    border: solid 1px black;
    border-radius: 15px;
    height: 30px;
    width:100px;
}

/*-----------ログイン--------------*/
.login-main {
    display: flex;
    align-items: center;
    justify-content: center;
}
.login-panel {
    margin: auto;        
    display: flex;
    flex-direction: column;    
    align-items: center;
    justify-content: flex-start;
    background-color: black;
    height: 349px;
    width: 300px;
    border-radius: 15px;
    padding-top: 20px;
}

.login_header {
    height: 60px;
    display: flex;
    flex-direction: column;
    align-items: center; 
    color: white;   
    margin-bottom: 20px;
}

.login_header label {
    font-size: 16px;
}

.login-title {
    font-size: 34px;
}

.login_div {
    margin-top: 10px;
    margin-bottom: 20px;
    padding: 25px;
    display: flex;
    flex-direction: column; 
    /*
    background-color: white;
    box-shadow: 0 1px 2px 0 rgba(0,0,0,0.2), 0 3px 3px 0 rgba(0,0,0,0.19);
    */
}

.login_div label {
    color: white;
    display: inline-block;
    width: 60px;
    font-size: 14px;
}

.login_div input {
    width: 150px;
}

.login-panel button {
    width: 120px;
    height: 30px;
    margin-left: 5px;
    font-size: 12px;
    color: black;
    background-color: white;    
    border: solid 1px black;
    border-radius: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.content button {
    width: 80px;
    height: 27px;
    margin-left: 5px;
    font-size: 12px;
    color: black;
    background-color: white;    
    border: solid 1px black;
    border-radius: 8px;
    display: flex;
    align-items: center;
    padding-left: 10px;
}

/*-------------ユーザー一覧--------------*/
.search_pnl {
    width: 100%;
    height: 35px;
    background-color: white;
    padding-left: 20px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.search_pnl img {
    cursor: pointer;
    margin-left: 10px;
}

.search_user_block {
    display: grid;
    grid-template-columns: 50% 50%;
}

.search_user_block .search_block {
    display: flex;
    align-items: center;
    justify-content: flex-start;  
}

.search_user_block .count_block {
    font-size: 20px;
    font-weight: bold;
    text-align: right;
    padding-right: 50px;  
}

.main_user_pnl {
    background-color: #E0E0E0;
    margin: 5px;
    padding-left: 80px;
    padding-right: 80px;  
    width: calc(100% - 10px);  
    height: 98%;
    position: fixed;
    display: flex;
    justify-content: center;
}

.main_user_pnl .user_pnl {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-auto-rows: 200px;
    width: 1100px;
    overflow-y: auto;
    margin-bottom: 40px;
}


.main_user_pnl .user_add_pnl {
    display: flex;
    align-items: flex-end;
}

.main_user_pnl .user_add_pnl .add_user_btn {
    width: 70px;
    height: 50px;
    border-radius: 50%;
    font-size: 44px;
    margin-bottom: 100px;
    margin-right: 40px;
    justify-content: center;
    padding-right: 10px;
}

.user_block {
    margin: 10px;
    background-color: white;
    border: solid 1px black;
    display: grid;
    grid-template-columns: 40% 50% 10%;
    width: 320px;
    height: 150px;
}

.user_block .user_image {
    display: flex;
    align-items: center;
    justify-content: center;
}

.user_block .user_image img {
    max-width: 120px;
    max-height: 120px;
    border-radius: 50%;
}

.user_block .user_info {
    margin-top: 25px;
    display: flex;
    flex-direction: column;
    font-size: 13px;
}

.user_block .user_info label {
    display: inline-block;
    width: 50px;
}

.user_block .user_info span {
    margin-bottom: 3px;
}

.user_block .user_delete {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    padding-bottom: 20px;
}

/*------------ユーザー詳細--------------*/
.user_detail {
    height: 400px;
    display: grid;
    grid-template-rows: 190px 160px 50px;
}
.user_detail_pnl {
    display: grid;
    grid-template-columns: 45% 55%;    
}

.user_detail_pnl .user_image_pnl {
    background-color: white !important;
}

.user_detail_pnl .user_image_pnl img {
    max-width: 170px;
    max-height: 170px;
    border-radius: 50%;
    border: solid 1px gray;
    cursor: pointer;
}

.user_detail_pnl .user_info_pnl {
    margin-top: 30px;
}

.user_detail_pnl .user_info_pnl label {
    display: inline-block;
    width: 40px;
    padding-left: 10px;
}

.user_detail_pnl .user_info_pnl #userId {
    width: 250px;
}

.user_detail_pnl .user_info_pnl #firstName,
.user_detail_pnl .user_info_pnl #lastName {
    width: 95px;
}

.user_device_pnl {
    border: solid 1px firebrick;
}

.user_device_pnl ul {
    -webkit-column-count: 3;
    -moz-column-count: 3;
    column-count: 3;
}

.user_device_pnl ul li {
    display: flex;
    align-items: center;
}

.user_device_pnl ul li label {
    margin-left: 5px;
}

.user_regist_pnl {
    display: flex;
    align-items: center;
    justify-content: center;
}

.user_regist_pnl button {
    width: 80px;
    height: 30px;    
    border-radius: 15px;
}

.user_regist_pnl button.regist {
    background-color: black;
    color:white;
    margin-left: 5px;
}

.user_regist_pnl button.cancel {
    background-color: gray;
    color:white;
    margin-right: 5px;
}

/*--------------アクセスログ--------------*/
.accesslog label,
.accesslog input,
.accesslog select {
    margin-right: 5px;
    margin-left: 5px;
}

.accesslog input[type="text"] {
    width: 120px;
}

.accesslog_main {
    /*background-color: #E0E0E0;*/
    display: grid;
    grid-template-columns: 70% 30%;
    height: calc(100% - 40px);
}

.accesslog_main .access_list {
    margin: 10px;
    background-color: white;
    overflow-y: auto;
}

.accesslog_main .access_list table {
    border-collapse: collapse;
    width: 100%;
    border: 1px solid #ddd;
}

.accesslog_main .access_list tr {
    cursor: pointer;
}

.accesslog_main .access_list tr.selected {
    background-color: antiquewhite;
}

.accesslog_main .access_list th,
.accesslog_main .access_list td {
    border: solid 1px gray;
    text-align: center;    
}

.accesslog_main .access_list th {
    padding: 5px;
    background-color: cadetblue;
    color: white;
}

.accesslog_main .access_list td img {
    max-width: 64px;
    max-height: 64px;
    border-radius: 50%;
}

.accesslog_main .access_info {
    margin: 10px;
    background-color: white;
}

.access_info {
    display: grid;
    grid-template-rows: auto 80px;
    align-items: flex-start;
    justify-content: center;
}

.access_info div {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    margin-top: 20px;
}

.access_info img {
    min-height: 256px;
    min-width: 256px;
    max-height: 448px;
    max-width: 448px;
    border-radius: 50%;
}

.access_info_bottom {
    align-items: flex-end;
}

.access_info_bottom button {
    background-color: black;
    color: white;
    width: 180px;
    height: 35px;
    border-radius: 15px;
    justify-content: center;
}

/*-----------dialog------------*/
.dialog {
    display: grid;
    height: 150px;
    grid-template-rows: auto 30px;
    align-items: flex-start;
    font-size: 16px;
}
.message-block {
    display: flex;
    align-items: center;
}

.button-block {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.button-block button {
    width: 100px;
    height: 30px;
    border-radius: 5px;
    background-color: black;
    color: white;
}

.button-block button.cancel {
    background-color: lightgray;
    margin-right: 15px;
}